WebTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.web.WebTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.web
Class WebTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.web.WebTagsHandler

public class WebTagsHandler
extends XDocletTagSupport

Version:
  $Revision: 1.4 $
Author:
  Marcus Brito (pazu@animegaiden.com.br), Christoph G. Jung (christoph.jung@infor.de)
xdoclet.taghandler
  namespace="Web"
created
  Jun 28, 2002

Field Summary

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`WebTagsHandler()`

Method Summary
`static String` | `choosePackage(String packageName, String packagePattern, String subtask)`
`String` | `extendsFrom(Properties attributes)` Returns the name of the class home interface extends.
`void` | `forAllEjbLocalRefs(String template)` Process the tag body for each web:ejb-local-ref tag in all source files.
`void` | `forAllEjbRefs(String template)` Process the tag body for each web:ejb-ref tag in all source files.
`void` | `forAllEnvEntries(String template)` Process the tag body for each web:env-entry tag in all source files.
`void` | `forAllResourceEnvRefs(String template)` Process the tag body for each web:resource-env-ref tag in all source files.
`void` | `forAllResourceRefs(String template)` Process the tag body for each web:resource-ref tag in all source files.
`void` | `forAllSecurityRoles(String template)` Process the tag body for each web:security-role tag in all source files.
`static String` | `serviceEndpoint(Properties properties)`
`static String` | `serviceEndpoint(xjavadoc.XClass clazz)`
`static String` | `servletName(Properties properties)`
`static String` | `servletName(xjavadoc.XClass clazz)`
`static String` | `shortServletName(xjavadoc.XClass clazz)` Returns short version of the servlet name of the clazz.

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebTagsHandler

    public WebTagsHandler()

Method Detail

### shortServletName

    public static String shortServletName(xjavadoc.XClass clazz)

  Returns short version of the servlet name of the clazz.

  Parameters:
    `clazz` - the class we want its short servlet name
  Returns:
    The shortName value
  See Also:
    `#shortName()`

### serviceEndpoint

    public static String serviceEndpoint(xjavadoc.XClass clazz)
                                  throws XDocletException

  Throws:
    `XDocletException`

### serviceEndpoint

    public static String serviceEndpoint(Properties properties)
                                  throws XDocletException

  Throws:
    `XDocletException`

### servletName

    public static String servletName(Properties properties)

### servletName

    public static String servletName(xjavadoc.XClass clazz)

### choosePackage

    public static String choosePackage(String packageName,
                                       String packagePattern,
                                       String subtask)

### forAllEjbRefs

    public void forAllEjbRefs(String template)
                       throws XDocletException

  Process the tag body for each web:ejb-ref tag in all source files. Please note that this tag already iterates over all available sources; it should not be enclosed by a <XDtClass:forAllClasses> tag or any other that process classes. This tag does not process tags with duplicated name attributes. If such tags occurs, only the first tag is processed, and further tags will only emit a warning message.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException` - if something goes wrong
  doc.tag
    type="block"

### forAllEjbLocalRefs

    public void forAllEjbLocalRefs(String template)
                            throws XDocletException

  Process the tag body for each web:ejb-local-ref tag in all source files. Look at forAllEjbRefs for some notes about the behavior of this tag.

  Parameters:
    `template` - The body of the blocktag
  Throws:
    `XDocletException` - if something goes wrong
  doc.tag
    type="block"

### forAllResourceRefs

    public void forAllResourceRefs(String template)
                            throws XDocletException

  Process the tag body for each web:resource-ref tag in all source files. Look at forAllEjbRefs for some notes about the behavior of this tag.

  Parameters:
    `template` - The body of the blocktag
  Throws:
    `XDocletException` - if something goes wrong
  doc.tag
    type="block"

### forAllResourceEnvRefs

    public void forAllResourceEnvRefs(String template)
                               throws XDocletException

  Process the tag body for each web:resource-env-ref tag in all source files. Look at forAllEjbRefs for some notes about the behavior of this tag.

  Parameters:
    `template` - The body of the blocktag
  Throws:
    `XDocletException` - if something goes wrong
  doc.tag
    type="block"

### forAllSecurityRoles

    public void forAllSecurityRoles(String template)
                             throws XDocletException

  Process the tag body for each web:security-role tag in all source files. Look at forAllEjbRefs for some notes about the behavior of this tag.

  Parameters:
    `template` - The body of the blocktag
  Throws:
    `XDocletException` - if something goes wrong
  doc.tag
    type="block"

### forAllEnvEntries

    public void forAllEnvEntries(String template)
                          throws XDocletException

  Process the tag body for each web:env-entry tag in all source files. Look at forAllEjbRefs for some notes about the behavior of this tag.

  Parameters:
    `template` - The body of the blocktag
  Throws:
    `XDocletException` - if something goes wrong
  doc.tag
    type="block"

### extendsFrom

    public String extendsFrom(Properties attributes)
                       throws XDocletException

  Returns the name of the class home interface extends.

  Parameters:
    `attributes` -
  Returns:
    The name of generated PK class.
  Throws:
    `XDocletException`
  doc.tag
    type="content"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD